| 1.0.2 API documentation

Typedefs
GLM_EXT_matrix_int2x2_sized
Stable extensions

## Typedefs
typedef mat< 2, 2, int16, defaultp > | i16mat2
| 16 bit signed integer 2x2 matrix. More...
typedef mat< 2, 2, int16, defaultp > | i16mat2x2
| 16 bit signed integer 2x2 matrix. More...
typedef mat< 2, 2, int32, defaultp > | i32mat2
| 32 bit signed integer 2x2 matrix. More...
typedef mat< 2, 2, int32, defaultp > | i32mat2x2
| 32 bit signed integer 2x2 matrix. More...
typedef mat< 2, 2, int64, defaultp > | i64mat2
| 64 bit signed integer 2x2 matrix. More...
typedef mat< 2, 2, int64, defaultp > | i64mat2x2
| 64 bit signed integer 2x2 matrix. More...
typedef mat< 2, 2, int8, defaultp > | i8mat2
| 8 bit signed integer 2x2 matrix. More...
typedef mat< 2, 2, int8, defaultp > | i8mat2x2
| 8 bit signed integer 2x2 matrix. More...

## Detailed Description

Include <glm/ext/matrix_int2x2_sized.hpp> to use the features of this extension.

Defines a number of matrices with integer types.

## Typedef Documentation

## ◆ i16mat2

typedef mat<2, 2, int16, defaultp> i16mat2

16 bit signed integer 2x2 matrix.

See also
  GLM_EXT_matrix_int2x2_sized

Definition at line 57 of file matrix_int2x2_sized.hpp.

## ◆ i16mat2x2

typedef mat< 2, 2, int16, defaultp > i16mat2x2

16 bit signed integer 2x2 matrix.

See also
  GLM_EXT_matrix_int2x2_sized

Definition at line 36 of file matrix_int2x2_sized.hpp.

## ◆ i32mat2

typedef mat<2, 2, int32, defaultp> i32mat2

32 bit signed integer 2x2 matrix.

See also
  GLM_EXT_matrix_int2x2_sized

Definition at line 62 of file matrix_int2x2_sized.hpp.

## ◆ i32mat2x2

typedef mat< 2, 2, int32, defaultp > i32mat2x2

32 bit signed integer 2x2 matrix.

See also
  GLM_EXT_matrix_int2x2_sized

Definition at line 41 of file matrix_int2x2_sized.hpp.

## ◆ i64mat2

typedef mat<2, 2, int64, defaultp> i64mat2

64 bit signed integer 2x2 matrix.

See also
  GLM_EXT_matrix_int2x2_sized

Definition at line 67 of file matrix_int2x2_sized.hpp.

## ◆ i64mat2x2

typedef mat< 2, 2, int64, defaultp > i64mat2x2

64 bit signed integer 2x2 matrix.

See also
  GLM_EXT_matrix_int2x2_sized

Definition at line 46 of file matrix_int2x2_sized.hpp.

## ◆ i8mat2

typedef mat<2, 2, int8, defaultp> i8mat2

8 bit signed integer 2x2 matrix.

See also
  GLM_EXT_matrix_int2x2_sized

Definition at line 52 of file matrix_int2x2_sized.hpp.

## ◆ i8mat2x2

typedef mat< 2, 2, int8, defaultp > i8mat2x2

8 bit signed integer 2x2 matrix.

See also
  GLM_EXT_matrix_int2x2_sized

Definition at line 31 of file matrix_int2x2_sized.hpp.